## org.apache.myfaces.config.impl.digester
Class DigesterFacesConfigUnmarshallerImpl

    java.lang.Object
      org.apache.myfaces.config.impl.digester.DigesterFacesConfigUnmarshallerImpl

All Implemented Interfaces:
  FacesConfigUnmarshaller

public class DigesterFacesConfigUnmarshallerImpl
extends java.lang.Object
implements FacesConfigUnmarshaller

Author:
  Oliver Rossmueller

Constructor Summary
`DigesterFacesConfigUnmarshallerImpl(javax.faces.context.ExternalContext externalContext)`

Method Summary
`java.lang.Object` `getFacesConfig(java.io.InputStream in, java.lang.String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterFacesConfigUnmarshallerImpl

    public DigesterFacesConfigUnmarshallerImpl(javax.faces.context.ExternalContext externalContext)

Method Detail

### getFacesConfig

    public java.lang.Object getFacesConfig(java.io.InputStream in,
                                           java.lang.String systemId)
                                    throws java.io.IOException,
                                           org.xml.sax.SAXException

  Specified by:
    `getFacesConfig` in interface `FacesConfigUnmarshaller`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`